pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/net/netatalk/patches use getifaddrs
details: https://anonhg.NetBSD.org/pkgsrc/rev/0f74bc546aed
branches: trunk
changeset: 540712:0f74bc546aed
user: christos <christos%pkgsrc.org@localhost>
date: Sun Apr 06 20:21:18 2008 +0000
description:
use getifaddrs
diffstat:
net/netatalk/patches/patch-aa | 36 ++++++++++++++++++++++++++--------
net/netatalk/patches/patch-ae | 15 ++++++++++++++
net/netatalk/patches/patch-ao | 44 +++++++++++++++++++++++++++++++++++++++++++
3 files changed, 86 insertions(+), 9 deletions(-)
diffs (142 lines):
diff -r da2c15a52c44 -r 0f74bc546aed net/netatalk/patches/patch-aa
--- a/net/netatalk/patches/patch-aa Sun Apr 06 19:58:40 2008 +0000
+++ b/net/netatalk/patches/patch-aa Sun Apr 06 20:21:18 2008 +0000
@@ -1,8 +1,15 @@
-$NetBSD: patch-aa,v 1.15 2006/10/12 11:54:49 markd Exp $
-
---- configure.orig 2005-05-18 10:14:29.000000000 +1200
-+++ configure
-@@ -16704,7 +16704,7 @@ fi
+--- configure.orig 2005-05-17 18:14:29.000000000 -0400
++++ configure 2008-04-05 21:15:47.000000000 -0400
+@@ -12464,7 +12464,7 @@
+
+
+
+-for ac_func in strlcpy strlcat
++for ac_func in strlcpy strlcat getifaddrs
+ do
+ as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+ echo "$as_me:$LINENO: checking for $ac_func" >&5
+@@ -16704,7 +16704,7 @@
LIBS="$savedLIBS"
fi
@@ -11,7 +18,7 @@
if test x"$pam_found" = "xyes" -a "x$PAMDIR" = "xNONE"; then
{ echo "$as_me:$LINENO: WARNING: PAM support can be compiled, but the install location for the netatalk.pamd file could not be determined. Either install this file by hand or specify
the install path." >&5
echo "$as_me: WARNING: PAM support can be compiled, but the install location for the netatalk.pamd file could not be determined. Either install this file by hand or specify the install path." >&2;}
-@@ -17304,7 +17304,7 @@ if test "${with_spooldir+set}" = set; th
+@@ -17304,7 +17304,7 @@
if test "$withval" = "no"; then
@@ -20,7 +27,7 @@
{ { echo "$as_me:$LINENO: error: *** CUPS support requires a spooldir ***" >&5
echo "$as_me: error: *** CUPS support requires a spooldir ***" >&2;}
{ (exit 1); exit 1; }; }
-@@ -18190,7 +18190,7 @@ cat >>confdefs.h <<\_ACEOF
+@@ -18190,7 +18190,7 @@
#define NETBSD 1
_ACEOF
@@ -29,7 +36,7 @@
need_dash_r=yes
-@@ -18961,7 +18961,7 @@ if test "${enable_krbV_uam+set}" = set;
+@@ -18961,7 +18961,7 @@
if test x"$enableval" = x"yes"; then
FOUND_GSSAPI=no
@@ -38,7 +45,7 @@
GSSAPI_CFLAGS=""
-@@ -19176,7 +19176,7 @@ cat >>conftest.$ac_ext <<_ACEOF
+@@ -19176,7 +19176,7 @@
#include <$ac_header>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
@@ -47,3 +54,14 @@
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
+@@ -20437,6 +20437,10 @@
+ _ACEOF
+ cat >>$CONFIG_STATUS <<\_ACEOF
+ -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
++ : Avoid regenerating within pkgsrc
++ exit 0
++ : Avoid regenerating within pkgsrc
++ exit 0
+ ac_cs_recheck=: ;;
+ --version | --vers* | -V )
+ echo "$ac_cs_version"; exit 0 ;;
diff -r da2c15a52c44 -r 0f74bc546aed net/netatalk/patches/patch-ae
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/net/netatalk/patches/patch-ae Sun Apr 06 20:21:18 2008 +0000
@@ -0,0 +1,15 @@
+$NetBSD: patch-ae,v 1.7 2008/04/06 20:21:18 christos Exp $
+
+--- config.h.in.orig 2008-04-05 21:15:49.000000000 -0400
++++ config.h.in 2008-04-05 21:17:55.000000000 -0400
+@@ -185,8 +185,8 @@
+ /* Define to 1 if you have the `gettimeofday' function. */
+ #undef HAVE_GETTIMEOFDAY
+
+-/* Define to 1 if you have the `getusershell' function. */
+-#undef HAVE_GETUSERSHELL
++/* Define to 1 if you have the `getifaddrs' function. */
++#undef HAVE_GETIFADDRS
+
+ /* Whether to enable GSSAPI support */
+ #undef HAVE_GSSAPI
diff -r da2c15a52c44 -r 0f74bc546aed net/netatalk/patches/patch-ao
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/net/netatalk/patches/patch-ao Sun Apr 06 20:21:18 2008 +0000
@@ -0,0 +1,44 @@
+$NetBSD: patch-ao,v 1.4 2008/04/06 20:21:18 christos Exp $
+
+--- libatalk/util/getiface.c.orig 2005-01-31 14:50:54.000000000 -0500
++++ libatalk/util/getiface.c 2008-04-05 21:32:56.000000000 -0400
+@@ -16,6 +16,10 @@
+ #include <stdint.h>
+ #endif
+
++#ifdef HAVE_GETIFADDRS
++#include <ifaddrs.h>
++#endif
++
+ #include <sys/types.h>
+ #include <sys/socket.h>
+ #include <sys/ioctl.h>
+@@ -74,6 +78,28 @@
+ *list = new;
+ return i;
+
++#elif defined(HAVE_GETIFADDRS)
++ struct ifaddrs *ifa, *a;
++ int i;
++ char **new;
++
++ if (!list)
++ return 0;
++ if (getifaddrs(&ifa) == -1)
++ return 0;
++ for (i = 0, a = ifa; a != NULL; a = a->ifa_next, i++)
++ continue;
++ new = malloc((i + 1) * sizeof(char *));
++ if (new == NULL) {
++ freeifaddrs(ifa);
++ return 0;
++ }
++ for (i = 0, a = ifa; a != NULL; a = a->ifa_next)
++ if (addname(new, &i, a->ifa_name) < 0)
++ break;
++ freeifaddrs(ifa);
++ *list = new;
++ return i;
+ #else
+ struct ifconf ifc;
+ struct ifreq ifrs[ 64 ], *ifr, *nextifr;
Home |
Main Index |
Thread Index |
Old Index